org.richfaces.fragment.inplaceInput

## Class RichFacesInplaceInput.AdvancedInplaceInputInteractions

- java.lang.Object
- - org.richfaces.fragment.inplaceInput.RichFacesInplaceInput.AdvancedInplaceInputInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesInplaceInput

      public class RichFacesInplaceInput.AdvancedInplaceInputInteractions
      extends Object
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdvancedInplaceInputInteractions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `geActiveClass()`
    `org.openqa.selenium.WebElement` | `getCancelButtonElement()`
    `protected String` | `getChangedClass()`
    `String` | `getClassForState(InplaceComponentState state)`
    `org.openqa.selenium.WebElement` | `getConfirmButtonElement()`
    `protected Event` | `getEditByEvent()`
    `org.openqa.selenium.WebElement` | `getEditInputElement()`
    `org.openqa.selenium.WebElement` | `getLabelInputElement()`
    `String` | `getLabelValue()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `boolean` | `isInState(InplaceComponentState state)`
    `boolean` | `isVisible()`
    `void` | `setEditByEvent()`
    `void` | `setEditByEvent(Event event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvancedInplaceInputInteractions

          public AdvancedInplaceInputInteractions()

  - ### Method Detail

    - #### getChangedClass

          protected String getChangedClass()

    - #### geActiveClass

          protected String geActiveClass()

    - #### getEditByEvent

          protected Event getEditByEvent()

    - #### setEditByEvent

          public void setEditByEvent()

    - #### setEditByEvent

          public void setEditByEvent(Event event)

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### isInState

          public boolean isInState(InplaceComponentState state)

    - #### getClassForState

          public String getClassForState(InplaceComponentState state)

    - #### getLabelValue

          public String getLabelValue()

    - #### getCancelButtonElement

          public org.openqa.selenium.WebElement getCancelButtonElement()

    - #### getConfirmButtonElement

          public org.openqa.selenium.WebElement getConfirmButtonElement()

    - #### getEditInputElement

          public org.openqa.selenium.WebElement getEditInputElement()

    - #### getLabelInputElement

          public org.openqa.selenium.WebElement getLabelInputElement()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.